Package org.gradle.testing.jacoco.tasks

## Class JacocoMerge

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.testing.jacoco.tasks.JacocoBase
      - - org.gradle.testing.jacoco.tasks.JacocoMerge

- All Implemented Interfaces:
    `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `org.gradle.util.Configurable<Task>`

      @CacheableTask
      public class JacocoMerge
      extends JacocoBase

  Task to merge multiple execution data files into one.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JacocoMerge()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `executionData​(Object... files)` | Adds execution data files to be merged.
    `void` | `executionData​(Task... tasks)` | Adds execution data generated by a task to the list of those to merge.
    `void` | `executionData​(TaskCollection tasks)` | Adds execution data generated by the given tasks to the list of those merged.
    `protected org.gradle.api.internal.project.IsolatedAntBuilder` | `getAntBuilder()` |
    `File` | `getDestinationFile()` | File to write merged execution data to.
    `FileCollection` | `getExecutionData()` | Collection of execution data files to merge.
    `void` | `merge()` |
    `void` | `setDestinationFile​(File destinationFile)` |
    `void` | `setDestinationFile​(Provider<File> destinationFile)` | Set the provider for calculating the destination file.
    `void` | `setExecutionData​(FileCollection executionData)` |

    - ### Methods inherited from class org.gradle.testing.jacoco.tasks.JacocoBase

      `getJacocoClasspath, setJacocoClasspath`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTaskIdentity, getTemporaryDir, getTemporaryDirFactory, getTimeout, hasProperty, hasTaskActions, injectIntoNewInstance, isEnabled, isHasCustomActions, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, replaceLogger, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JacocoMerge

          public JacocoMerge()

  - ### Method Detail

    - #### getExecutionData

          @PathSensitive(RELATIVE)
          @InputFiles
          public FileCollection getExecutionData()

      Collection of execution data files to merge.

    - #### setExecutionData

          public void setExecutionData​(FileCollection executionData)

    - #### getDestinationFile

          @OutputFile
          public File getDestinationFile()

      File to write merged execution data to.

    - #### setDestinationFile

          public void setDestinationFile​(File destinationFile)

    - #### setDestinationFile

          @Incubating
          public void setDestinationFile​(Provider<File> destinationFile)

      Set the provider for calculating the destination file.
      Parameters:
        `destinationFile` - Destination file provider
      Since:
        4.0

    - #### getAntBuilder

          @Inject
          protected org.gradle.api.internal.project.IsolatedAntBuilder getAntBuilder()

    - #### merge

          public void merge()

    - #### executionData

          public void executionData​(Object... files)

      Adds execution data files to be merged.
      Parameters:
        `files` - one or more files to merge

    - #### executionData

          public void executionData​(Task... tasks)

      Adds execution data generated by a task to the list of those to merge. Only tasks with a `JacocoTaskExtension` will be included; all others will be ignored.
      Parameters:
        `tasks` - one or more tasks to merge

    - #### executionData

          public void executionData​(TaskCollection tasks)

      Adds execution data generated by the given tasks to the list of those merged. Only tasks with a `JacocoTaskExtension` will be included; all others will be ignored.
      Parameters:
        `tasks` - one or more tasks to merge